Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 30

Thread: Internet connection doesn't work. Lenovo G580. Atheros AR8162/AR9285.

  1. #11
    Join Date
    Feb 2013
    Beans
    24

    Re: Internet connection doesn't work. Lenovo G580. Atheros AR8162/AR9285.

    Chili,

    Here you go, i have the files under same path and issued the command you have provided. Still it looks like a deadlock

    Code:
    sudo dpkg -i libc6*.deb libgcc1*.deb multiarch-support*.deb
    
    
    vel@vel-Satellite-C850:/media/E47478CF7478A5C8/install$ ll
    total 1228
    drwx------ 1 vel vel    4096 Mar  3 03:06 ./
    drwx------ 1 vel vel   12288 Mar  3 02:40 ../
    drwx------ 1 vel vel       0 Mar  3 02:05 gcc-4.6-base/
    drwx------ 1 vel vel       0 Mar  3 01:56 header/
    drwx------ 1 vel vel    4096 Mar  3 02:03 libc6/
    -rw------- 2 vel vel 1180750 Mar  3 02:26 libc-bin_2.15-0ubuntu10.2_amd64.deb
    -rw------- 1 vel vel   42608 Mar  3 03:06 libgcc1_4.6.3-1ubuntu5_amd64.deb
    -rw------- 1 vel vel    4480 Mar  3 03:06 multiarch-support_2.15-0ubuntu10.2_amd64.deb
    vel@vel-Satellite-C850:/media/E47478CF7478A5C8/install$ 
    vel@vel-Satellite-C850:/media/E47478CF7478A5C8/install$ 
    vel@vel-Satellite-C850:/media/E47478CF7478A5C8/install$ sudo dpkg -i libc6*.deb libgcc1*.deb multiarch-support*.deb
    [sudo] password for vel: 
    dpkg: error processing libc6*.deb (--install):
     cannot access archive: No such file or directory
    (Reading database ... 162418 files and directories currently installed.)
    Preparing to replace libgcc1 1:4.6.3-1ubuntu5 (using libgcc1_4.6.3-1ubuntu5_amd64.deb) ...
    Unpacking replacement libgcc1 ...
    Preparing to replace multiarch-support 2.15-0ubuntu10.2 (using multiarch-support_2.15-0ubuntu10.2_amd64.deb) ...
    Unpacking replacement multiarch-support ...
    dpkg: dependency problems prevent configuration of libgcc1:
     libgcc1 depends on libc6 (>= 2.14); however:
      Package libc6 is not configured yet.
    dpkg: error processing libgcc1 (--install):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of multiarch-support:
     multiarch-support depends on libc6 (>= 2.3.6-2); however:
      Package libc6 is not configured yet.
    dpkg: error processing multiarch-support (--install):
     dependency problems - leaving unconfigured
    Errors were encountered while processing:
     libc6*.deb
     libgcc1
     multiarch-support
    vel@vel-Satellite-C850:/media/E47478CF7478A5C8/install$

  2. #12
    Join Date
    Aug 2005
    Location
    South Carolina, USA
    Beans
    20,580
    Distro
    Ubuntu 14.10 Utopic Unicorn

    Re: Internet connection doesn't work. Lenovo G580. Atheros AR8162/AR9285.

    drwx------ 1 vel vel 4096 Mar 3 03:06 ./
    drwx------ 1 vel vel 12288 Mar 3 02:40 ../
    drwx------ 1 vel vel 0 Mar 3 02:05 gcc-4.6-base/
    drwx------ 1 vel vel 0 Mar 3 01:56 header/
    drwx------ 1 vel vel 4096 Mar 3 02:03 libc6/
    -rw------- 2 vel vel 1180750 Mar 3 02:26 libc-bin_2.15-0ubuntu10.2_amd64.deb
    -rw------- 1 vel vel 42608 Mar 3 03:06 libgcc1_4.6.3-1ubuntu5_amd64.deb
    -rw------- 1 vel vel 4480 Mar 3 03:06 multiarch-support_2.15-0ubuntu10.2_amd64.deb
    You don't have the .deb file for libc6 in this directory. It looks like it's in it's own directory. Drag and drop it or copy and paste it in the same directory with the others and try again.
    "Oh, Ubuntu, you are my favorite Linux-based operating system" --Dr. Sheldon Cooper, Ph.D.

  3. #13
    Join Date
    Feb 2013
    Beans
    24

    Re: Internet connection doesn't work. Lenovo G580. Atheros AR8162/AR9285.

    You're correct. I am almost close to finish up the installation, still having issues with build essential anyhow i will resolve it.

    One quick question, is there a way i can download all these dependent packs and have them installed? i know, i can do it with internet connection with ubuntu. But just wan to if it is possible without ubuntu?

  4. #14
    Join Date
    Feb 2013
    Beans
    24

    Re: Internet connection doesn't work. Lenovo G580. Atheros AR8162/AR9285.

    Now stuck up with the below errors,

    Code:
    vel@vel-Satellite-C850:~/vel-home/compat-wireless-3.6.6-1-snpc$ sudo  make 
    [sudo] password for vel: 
    make -C /lib/modules/3.5.0-23-generic/build M=/home/vel/vel-home/compat-wireless-3.6.6-1-snpc modules
    make[1]: Entering directory `/usr/src/linux-headers-3.5.0-23-generic'
    /usr/src/linux-headers-3.5.0-23-generic/arch/x86/Makefile:81: stack protector enabled but no compiler support
      CC [M]  /home/vel/vel-home/compat-wireless-3.6.6-1-snpc/compat/main.o
    gcc: error trying to exec 'cc1': execvp: No such file or directory
    make[3]: *** [/home/vel/vel-home/compat-wireless-3.6.6-1-snpc/compat/main.o] Error 1
    make[2]: *** [/home/vel/vel-home/compat-wireless-3.6.6-1-snpc/compat] Error 2
    make[1]: *** [_module_/home/vel/vel-home/compat-wireless-3.6.6-1-snpc] Error 2
    make[1]: Leaving directory `/usr/src/linux-headers-3.5.0-23-generic'
    make: *** [modules] Error 2
    vel@vel-Satellite-C850:~/vel-home/compat-wireless-3.6.6-1-snpc$ 
    
    
    
    
    vel@vel-Satellite-C850:~/vel-home/compat-wireless-3.6.6-1-snpc$ sudo make install
    Updating Ubuntu's initramfs for 3.5.0-23-generic under /boot/ ...
    Will now run update-grub to ensure grub will find the new initramfs ...
    Generating grub.cfg ...
    Found linux image: /boot/vmlinuz-3.5.0-23-generic
    Found initrd image: /boot/initrd.img-3.5.0-23-generic
    Found memtest86+ image: /boot/memtest86+.bin
    Found Windows 7 (loader) on /dev/sda1
    done
    
    
    make -C /lib/modules/3.5.0-23-generic/build M=/home/vel/vel-home/compat-wireless-3.6.6-1-snpc modules
    make[1]: Entering directory `/usr/src/linux-headers-3.5.0-23-generic'
    /usr/src/linux-headers-3.5.0-23-generic/arch/x86/Makefile:81: stack protector enabled but no compiler support
      CC [M]  /home/vel/vel-home/compat-wireless-3.6.6-1-snpc/compat/main.o
    gcc: error trying to exec 'cc1': execvp: No such file or directory
    make[3]: *** [/home/vel/vel-home/compat-wireless-3.6.6-1-snpc/compat/main.o] Error 1
    make[2]: *** [/home/vel/vel-home/compat-wireless-3.6.6-1-snpc/compat] Error 2
    make[1]: *** [_module_/home/vel/vel-home/compat-wireless-3.6.6-1-snpc] Error 2
    make[1]: Leaving directory `/usr/src/linux-headers-3.5.0-23-generic'
    make: *** [modules] Error 2
    
    
    
    
    vel@vel-Satellite-C850:~/vel-home/compat-wireless-3.6.6-1-snpc$ sudo modprobe alx
    FATAL: Module alx not found.
    Help me please. Its already very late with this issues.

  5. #15
    Join Date
    Aug 2005
    Location
    South Carolina, USA
    Beans
    20,580
    Distro
    Ubuntu 14.10 Utopic Unicorn

    Re: Internet connection doesn't work. Lenovo G580. Atheros AR8162/AR9285.

    Makefile:81: stack protector enabled but no compiler support
    Some part of build-essential is missing.I suggest you retrace your steps and check the install status of each of the dependencies; for example:
    Code:
    sudo dpkg -s g++
    Ideally, for each, you'll see:
    chili@Think410:~$ sudo dpkg -s g++
    [sudo] password for chili:
    Package: g++
    Status: install ok installed
    Priority: optional
    Section: devel
    When you see this:
    make[3]: *** [/home/vel/vel-home/compat-wireless-3.6.6-1-snpc/compat/main.o] Error 1
    make[2]: *** [/home/vel/vel-home/compat-wireless-3.6.6-1-snpc/compat] Error 2
    make[1]: *** [_module_/home/vel/vel-home/compat-wireless-3.6.6-1-snpc] Error 2
    make[1]: Leaving directory `/usr/src/linux-headers-3.5.0-23-generic'
    make: *** [modules] Error 2
    ...please stop and fix the error as all successive steps will also fail. In other words, that egg is rotten, we're not going to make and eat the omelet. Sure enough:
    FATAL: Module alx not found.
    is there a way i can download all these dependent packs and have them installed?
    I wish it were that easy. I know of no such method.
    "Oh, Ubuntu, you are my favorite Linux-based operating system" --Dr. Sheldon Cooper, Ph.D.

  6. #16
    Join Date
    Feb 2013
    Beans
    24

    Re: Internet connection doesn't work. Lenovo G580. Atheros AR8162/AR9285.

    Thanks chili. I have got the issue but not the solution. gcc-4.6 is not installed.

    Code:
    vel@vel-Satellite-C850:/media/E47478CF7478A5C8/install/g++/gcc/binutils/libstdc++6$ dpkg -s gcc-4.6
    Package: gcc-4.6
    Status: install ok unpacked
    Priority: optional
    Section: devel
    Installed-Size: 15840
    Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
    Architecture: amd64
    Version: 4.6.1-9ubuntu3
    Config-Version: 4.6.3-1ubuntu5
    Provides: c-compiler
    Depends: gcc-4.6-base (= 4.6.1-9ubuntu3), cpp-4.6 (= 4.6.1-9ubuntu3), binutils (>= 2.21.51~), libgcc1 (>= 1:4.6.1-9ubuntu3), libgomp1 (>= 4.6.1-9ubuntu3), libquadmath0 (>= 4.6.1-9ubuntu3), libc6 (>= 2.11), libgmp10, libmpc2, libmpfr4, zlib1g (>= 1:1.1.4)
    Recommends: libc6-dev (>= 2.13-0ubuntu6)
    Suggests: gcc-4.6-multilib, libmudflap0-4.6-dev (>= 4.6.1-9ubuntu3), gcc-4.6-doc (>= 4.6.1-8), gcc-4.6-locales (>= 4.6.1-8), libgcc1-dbg, libgomp1-dbg, libquadmath0-dbg, libmudflap0-dbg, binutils-gold (>= 2.21.51~)
    Description: GNU C compiler
     This is the GNU C compiler, a fairly portable optimizing compiler for C.
    Homepage: http://gcc.gnu.org/
    Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
    
    
    vel@vel-Satellite-C850:/media/E47478CF7478A5C8/install/g++/gcc$ sudo dpkg -i gcc-4.6_4.6.1-9ubuntu3_amd64.deb 
    (Reading database ... 162923 files and directories currently installed.)
    Preparing to replace gcc-4.6 4.6.1-9ubuntu3 (using gcc-4.6_4.6.1-9ubuntu3_amd64.deb) ...
    Unpacking replacement gcc-4.6 ...
    dpkg: dependency problems prevent configuration of gcc-4.6:
     gcc-4.6 depends on gcc-4.6-base (= 4.6.1-9ubuntu3); however:
      Version of gcc-4.6-base on system is 4.6.3-1ubuntu5.
     gcc-4.6 depends on cpp-4.6 (= 4.6.1-9ubuntu3); however:
      Version of cpp-4.6 on system is 4.6.3-1ubuntu5.
    dpkg: error processing gcc-4.6 (--install):
     dependency problems - leaving unconfigured
    Processing triggers for man-db ...
    Errors were encountered while processing:
     gcc-4.6
    Any suggestions??

  7. #17
    Join Date
    Aug 2005
    Location
    South Carolina, USA
    Beans
    20,580
    Distro
    Ubuntu 14.10 Utopic Unicorn

    Re: Internet connection doesn't work. Lenovo G580. Atheros AR8162/AR9285.

    It looks like the version of gcc-4.6 you are trying to install in an older version that all the dependencies you have on your system now.Try this one instead: http://packages.ubuntu.com/precise/gcc-4.6

    Package: gcc-4.6 (4.6.3-1ubuntu5)
    Notice the other conflicted packages are 4.6.3-1 also.
    "Oh, Ubuntu, you are my favorite Linux-based operating system" --Dr. Sheldon Cooper, Ph.D.

  8. #18
    Join Date
    Feb 2013
    Beans
    24

    Re: Internet connection doesn't work. Lenovo G580. Atheros AR8162/AR9285.

    Chili,

    Thanks. I have installed gcc-4.6 and other dependencies were also resolved. When i was running the compat driver commands i had some permission issues, so i logged as root and configured it and does a reboot as well. still no luck, when does is detect my wireless connection

    Code:
    vel@vel-Satellite-C850:~/vel-home/compat-wireless-3.6.6-1-snpc$ make
    make -C /lib/modules/3.5.0-23-generic/build M=/home/vel/vel-home/compat-wireless-3.6.6-1-snpc modules
    make[1]: Entering directory `/usr/src/linux-headers-3.5.0-23-generic'
      CC [M]  /home/vel/vel-home/compat-wireless-3.6.6-1-snpc/compat/main.o
      CC [M]  /home/vel/vel-home/compat-wireless-3.6.6-1-snpc/compat/compat-3.7.o
    /home/vel/vel-home/compat-wireless-3.6.6-1-snpc/compat/compat-3.7.c: In function ‚€˜pcie_flags_reg‚€™:
    /home/vel/vel-home/compat-wireless-3.6.6-1-snpc/compat/compat-3.7.c:37:2: warning: passing argument 1 of ‚€˜pci_find_capability‚€™ discards ‚€˜const‚€™ qualifier from pointer target type [enabled by default]
    include/linux/pci.h:714:5: note: expected ‚€˜struct pci_dev *‚€™ but argument is of type ‚€˜const struct pci_dev *‚€™
      LD [M]  /home/vel/vel-home/compat-wireless-3.6.6-1-snpc/compat/compat.o
    /bin/sh: 1: cannot create /home/vel/vel-home/compat-wireless-3.6.6-1-snpc/.tmp_versions/compat.mod: Permission denied
    make[3]: *** [/home/vel/vel-home/compat-wireless-3.6.6-1-snpc/compat/compat.o] Error 2
    make[2]: *** [/home/vel/vel-home/compat-wireless-3.6.6-1-snpc/compat] Error 2
    make[1]: *** [_module_/home/vel/vel-home/compat-wireless-3.6.6-1-snpc] Error 2
    make[1]: Leaving directory `/usr/src/linux-headers-3.5.0-23-generic'
    make: *** [modules] Error 2
    Code:
    Updating Ubuntu's initramfs for 3.5.0-23-generic under /boot/ ...
    Will now run update-grub to ensure grub will find the new initramfs ...
    Generating grub.cfg ...
    Found linux image: /boot/vmlinuz-3.5.0-23-generic
    Found initrd image: /boot/initrd.img-3.5.0-23-generic
    Found memtest86+ image: /boot/memtest86+.bin
    Found Windows 7 (loader) on /dev/sda1
    done
    
    
    make -C /lib/modules/3.5.0-23-generic/build M=/home/vel/vel-home/compat-wireless-3.6.6-1-snpc modules
    make[1]: Entering directory `/usr/src/linux-headers-3.5.0-23-generic'
      Building modules, stage 2.
      MODPOST 2 modules
    make[1]: Leaving directory `/usr/src/linux-headers-3.5.0-23-generic'
    make -C /lib/modules/3.5.0-23-generic/build M=/home/vel/vel-home/compat-wireless-3.6.6-1-snpc "INSTALL_MOD_DIR=updates"  \
    		modules_install
    make[1]: Entering directory `/usr/src/linux-headers-3.5.0-23-generic'
      INSTALL /home/vel/vel-home/compat-wireless-3.6.6-1-snpc/compat/compat.ko
      INSTALL /home/vel/vel-home/compat-wireless-3.6.6-1-snpc/drivers/net/ethernet/atheros/alx/alx.ko
      DEPMOD  3.5.0-23-generic
    make[1]: Leaving directory `/usr/src/linux-headers-3.5.0-23-generic'
    Updating Ubuntu's initramfs for 3.5.0-23-generic under /boot/ ...
    Will now run update-grub to ensure grub will find the new initramfs ...
    Generating grub.cfg ...
    Found linux image: /boot/vmlinuz-3.5.0-23-generic
    Found initrd image: /boot/initrd.img-3.5.0-23-generic
    Found memtest86+ image: /boot/memtest86+.bin
    Found Windows 7 (loader) on /dev/sda1
    done
    depmod will prefer updates/ over kernel/ -- OK!
    
    
    Now run:
    
    
    sudo make unload to unload all: wireless, bluetooth and ethernet modules
    sudo make wlunload to unload wireless modules
    sudo make btunload to unload bluetooth modules
    
    
    Run sudo modprobe driver-name to load your desired driver.
    If unsure reboot.
    Also i have a error message in top right corner of the home screen as below,


    Code:
    The error message was BrokenCount>0

    Please suggest.

  9. #19
    Join Date
    Feb 2013
    Beans
    24

    Re: Internet connection doesn't work. Lenovo G580. Atheros AR8162/AR9285.

    Chili,

    Finally our hard work has paid off, i am connected to internet through ubuntu using wired network. Still wireless isn't working. But this is fine for now, i can proceed with my work. Please let me know if i can install wireless driver now using apt-get. One more issue, brightness control is not working now (which was working earlier).

    Thanks a lot for your help.

  10. #20
    Join Date
    Aug 2005
    Location
    South Carolina, USA
    Beans
    20,580
    Distro
    Ubuntu 14.10 Utopic Unicorn

    Re: Internet connection doesn't work. Lenovo G580. Atheros AR8162/AR9285.

    I am not sure if we/you installed the running kernel headers or -generic. I'd clean that up first:
    Code:
    udo apt-get install linux-headers-generic
    Please let me know if i can install wireless driver now using apt-get.
    Probably so. Let's identify the device first:
    Code:
    lspci -nn | grep 0280
    Update Manager will probably want to install a few dozen updates. Don't allow it until linux-headers is taken care of. One of the updates will probably be linux-image. You compiled alx against your currently running kernel only; e.g. 3.5.0-23-generic. The latest, as of today, is -25. The wonderful news is that alx is included by default!
    Code:
    /lib/modules/3.5.0-25-generic/kernel/ubuntu/alx/alx.ko
    I'm very glad it's working.
    "Oh, Ubuntu, you are my favorite Linux-based operating system" --Dr. Sheldon Cooper, Ph.D.

Page 2 of 3 FirstFirst 123 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •